Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Commits on May 3, 2012
  1. @moritz

    fix failing tests after kill_current_object merge, kid51++

    moritz authored
    three are fixed by updating to non-ancient calling conventions
    (self as first invocant). The fourth was in PASM, and is now gone
Commits on Apr 30, 2012
  1. @petdance

    consted a local var

    petdance authored
Commits on Apr 29, 2012
  1. @NotFound
  2. @moritz
  3. @jkeenan
Commits on Apr 28, 2012
  1. @NotFound
  2. @NotFound
  3. @ayardley
  4. @ayardley

    Removed references to 'PIL - Pugs' Interemediate Language'; 'PIRATE' …

    ayardley authored
    …- Parrot's supposed 'next generation compiler'; and 'PIRC' - a, according to Whiteknight, dead project.
  5. @ayardley

    Removed the word 'experimental' and the implication that our html doc…

    ayardley authored
    …s are 'experimental' from the doc. Why? Because it's misleading. Our auto-generation of html docs is no longer 'experimental'.
Commits on Apr 27, 2012
  1. @jkeenan

    _handle_ccflags_status() has been simplified, so we can simplify the …

    jkeenan authored
    …corresponding step tests.
Commits on Apr 25, 2012
  1. @petdance

    Merge pull request #757 from gerdr/gerdr/msvc-icu-fix

    petdance authored
    Fix ICU config issues on MSVC reported by Mark Solinski
  2. @gerdr
  3. @petdance
  4. @petdance

    flag unused interps

    petdance authored
Commits on Apr 24, 2012
  1. Winxed: Make executable depend on language

    authored
    Without this, attempting to use winxed mid-build (say for PCT) fails
    with "winxed: Cannot load language".
    
    Fix suggested by NotFound++
  2. codingstd: Remake MANIFEST

    authored
    It was missing t/codingstd/case_sensitive_files.t
  3. PCT::HLLCompiler - Make version useful

    authored
    The version string from PCT::HLLCompiler was always:
    
        This compiler is built with the Parrot Compiler Toolkit, parrot
        revision 1.
    
    Change that to include the version and git_describe instead, like:
    
        This compiler is built with the Parrot Compiler Toolkit, parrot
        4.3.0 revision RELEASE_4_3_0-13-g16f3fbe
  4. @jkeenan
Commits on Apr 21, 2012
  1. @NotFound

    update winxed snapshot to a3fe1bd

    NotFound authored
    - Jump version to 1.8 devel
    - Show backtrace in driver
  2. @pmichaud

    [string]: Enable upcase/downcase opcode to work on ucs2/ucs4/utf16 en…

    pmichaud authored
    …coded strings if all codepoints are in the Latin-1 range.
  3. @petdance
  4. @jkeenan
Commits on Apr 20, 2012
  1. @petdance

    Add get_all_files() method

    petdance authored
  2. @petdance
Commits on Apr 19, 2012
  1. @fperrad

    [t] fix shebang

    fperrad authored
  2. @petdance

    consting args

    petdance authored
Commits on Apr 18, 2012
  1. @ayardley
  2. @ayardley
  3. @ayardley
  4. @cotto

    one last change for 4.3.0

    cotto authored
  5. @cotto

    add release.json

    cotto authored
  6. @cotto

    update to 4.3.0

    cotto authored
  7. @cotto
Commits on Apr 16, 2012
  1. @NotFound
Something went wrong with that request. Please try again.